Index: trunk/SophyaPI/ProgPI/Makefile
===================================================================
--- trunk/SophyaPI/ProgPI/Makefile	(revision 3823)
+++ trunk/SophyaPI/ProgPI/Makefile	(revision 3841)
@@ -231,432 +493,930 @@
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
   $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
   $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
   $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)picmapview.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)pidrawer.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pigraph3d.h \
-  $(SOPHYAINCP)nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)dlftypes.h \
-  $(SOPHYAINCP)piacmd.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dlftypes.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pisiadw.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)pimenux.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)pistzwin.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)resusage.h \
-  $(SOPHYAINCP)piacmd.h piacmdrdr.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)machdefs.h piacmdrdr.h \
   $(SOPHYAINCP)piversion.h \
   $(SOPHYAINCP)piaversion.h \
-  $(SOPHYAINCP)timing.h \
-  $(SOPHYAINCP)skyinit.h \
+  $(SOPHYAINCP)timing.h $(SOPHYAINCP)skyinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piapp.cc
  
-$(SOPHYAOBJP)skymapmodule.o: skymapmodule.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)piacmd.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)skymapmodule.o: skymapmodule.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)piacmd.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)dlftypes.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)dlftypes.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
   $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
   $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
   $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)picmapview.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)pidrawer.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pigraph3d.h \
-  $(SOPHYAINCP)nobjmgr.h \
-  $(SOPHYAINCP)piacmd.h \
-  $(SOPHYAINCP)pisiadw.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)piacmd.h $(SOPHYAINCP)pisiadw.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)pimenux.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)pistzwin.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)resusage.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)servnobjm.h \
-  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)nobjmgr.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)dlftypes.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)nomgadapter.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)generalfunc.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntuple.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)slinparbuff.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)localmap.h \
   $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)unitvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)spherethetaphi.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)sphericaltransformserver.h \
+  $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)fftpserver.h \
-  $(SOPHYAINCP)alm.h \
-  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)randinterf.h $(SOPHYAINCP)alm.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)nbmath.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)trngmtx.h \
-  $(SOPHYAINCP)lambdaBuilder.h
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)lambdaBuilder.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)alm.h \
+  $(SOPHYAINCP)pexceptions.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymapmodule.cc
  
-$(SOPHYAOBJP)sopiamodule.o: sopiamodule.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)piacmd.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)sopiamodule.o: sopiamodule.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)piacmd.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)dlftypes.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)dlftypes.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
   $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
   $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
   $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)picmapview.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)pidrawer.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pigraph3d.h \
-  $(SOPHYAINCP)nobjmgr.h \
-  $(SOPHYAINCP)piacmd.h \
-  $(SOPHYAINCP)pisiadw.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)piacmd.h $(SOPHYAINCP)pisiadw.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)pimenux.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)pistzwin.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)resusage.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)servnobjm.h \
-  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)nobjmgr.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)dlftypes.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)zthread.h $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)pitvmaad.h \
-  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)tmatrix.h $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)fftpserver.h \
   $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)piscdrawwdg.h \
-  $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)nomgadapter.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)generalfunc.h \
   $(SOPHYAINCP)nomskymapadapter.h \
   $(SOPHYAINCP)nomgadapter.h \
+  $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)unitvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)datatype.h
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sopiamodule.cc
  
 $(SOPHYAOBJP)w2ps.o: w2ps.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)piacmd.h \
-  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)piacmd.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)dlftypes.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)dlftypes.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
   $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
   $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
   $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)picmapview.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)pidrawer.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pigraph3d.h \
-  $(SOPHYAINCP)nobjmgr.h \
-  $(SOPHYAINCP)piacmd.h \
-  $(SOPHYAINCP)pisiadw.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)piacmd.h $(SOPHYAINCP)pisiadw.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)pimenux.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)pistzwin.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)resusage.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  w2ps.cc
  
